<?php
// サーバーによって処理を切り替えるためのチェック
if(!isset($_SERVER['SERVER_NAME'])){
	// CRON, exec等のスクリプトでの起動でSERVER_NAME, HOSTが取れない場合
	// PWDの値を見る
	// 指定したパスが含まれるかどうか
	if (strpos($_SERVER['PWD'], '/home/tanzo/') !== false) {
		// 本番サーバー
		$SERVER_CHECK = 1;
	} else if (strpos($_SERVER['PWD'], '/apteq2/') !== false) {
		// 開発機
		$SERVER_CHECK = 3;
	} else {
		// それ以外
		$SERVER_CHECK = 2;
	}
} else {
	// 通常のブラウザ、POSTなど
	// SERVER_NAMEを見る
	if ($_SERVER['SERVER_NAME'] == 'tanzo.fit'){
		// 本番機
		$SERVER_CHECK = 1;
	} else if($_SERVER['SERVER_NAME'] == 'localhost') {
		// ローカル
		$SERVER_CHECK = 2;
	} else {
		// 開発環境とする
		$SERVER_CHECK = 3;
	}
}

// PHPのバージョン次第では const は変数や、関数の戻り値を使えない
//const SERVER_CHECK = $SERVER_CHECK;
define("SERVER_CHECK", $SERVER_CHECK);
